 /* Start Messages Page */
 /* MESSAGES */
 #pg-messages {
     background: #f5f6fa;
     margin: -60px 0;
     padding: 60px 0;
 }

 .chat-items::-webkit-scrollbar,
 .message-items::-webkit-scrollbar {
     width: 3px;
 }


 .chat-bg,
 .chat-messages {
     background: #fff;
     box-shadow: 0 0 10px rgba(0, 0, 0, 0.06);
     border-radius: 4px;
     -webkit-border-radius: 4px;
     -moz-border-radius: 4px;
     -ms-border-radius: 4px;
     -o-border-radius: 4px;
 }

 .chat-bg {
     min-height: 100%;
 }

 .chats-list {
     background-color: transparent;
     box-shadow: none;
     border-radius: 0;
     -webkit-border-radius: 0;
     -moz-border-radius: 0;
     -ms-border-radius: 0;
     -o-border-radius: 0;
 }

 .chat-messages .chat-per-msgs {
     display: none;
     transition: all ease-in-out 0.3s;
     -webkit-transition: all ease-in-out 0.3s;
     -moz-transition: all ease-in-out 0.3s;
     -ms-transition: all ease-in-out 0.3s;
     -o-transition: all ease-in-out 0.3s;
 }

 .chat-messages .chat-per-msgs.active-chat {
     display: block;
 }


 .message-items-container {
     overflow-y: auto;
     overflow-x: hidden;
     height: 630px;
     width: 100%;
     padding: 0 30px;
 }

 /*.message-items {*/
 /*    overflow-y: auto;*/
 /*    overflow-x: hidden;*/
 /*    height: 630px;*/
 /*    width: 100%;*/
 /*    padding: 0 30px;*/
 /*}*/


 .rtl .msg-time {
     text-align: left;
 }

 .msg-time {

     white-space: nowrap;
     color: gray
 }

 .user-img-stat-blk {
     position: relative;
     width: 50px;
     margin-left: 10px;
     z-index: 2;
 }

 .rtl .user-img-stat-blk {
     margin-left: 10px;
     margin-right: 0;
 }

 .user-img-stat-blk img,
 .chat-user-img {
     width: 45px !important;
     height: 45px !important;
     border-radius: 50%;
     -webkit-border-radius: 50%;
     -moz-border-radius: 50%;
     -ms-border-radius: 50%;
     -o-border-radius: 50%;
 }

 .chat-user-img {
     width: 60px !important;
     height: 60px !important;

 }




 .chat-messages {
     position: relative;
 }

 .chat-messages-header {
     padding: 14px 10px;
     border-bottom: 1px solid #d6d5d5;
     display: flex;
     align-items: center;
     margin: 0 20px;
 }

 .chat-messages-header h4 {
     float: left;
     margin-top: 18px;
     margin-left: 20px;
 }

 .rtl .chat-messages-header h4 {
     float: right;
 }

 .message-item {
     padding: 8px 0;
     clear: both;
     display: flex;
     /* flex-wrap: wrap; */

 }


 .message-item p {
     word-break: break-word;
     border-radius: 10px;
     -webkit-border-radius: 10px;
     -moz-border-radius: 10px;
     -ms-border-radius: 10px;
     -o-border-radius: 10px;
 }

 .message-item.box-align-right {
     justify-content: flex-start;
 }

 .message-item.box-align-left {
     justify-content: flex-start;
     flex-direction: row-reverse;
 }

 .message-item.box-align-left .msg-time {
     align-self: flex-end;
 }

 .message-item .message-text {
     padding: 0px 20px;
     max-width: calc(70%);
     display: flex;
     flex-direction: column;


 }

 .message-item .message-text p {
     padding: 10px 20px;
     margin: 5px 0;
 }

 .message-item.box-align-right p {
     background: #e0e8d6;
 }


 .message-item.box-align-left p {
     background: #ececec;
 }


 .chat-messages-footer {
     clear: both;
     width: 100%;
     left: 0;
     position: relative;
     bottom: 0;
     padding: 10px;
 }

 .rtl .chat-messages-footer {
     right: 0;
     left: auto;
 }

 .text-area-blk {
     border-top: 1px solid #d6d5d5;
     display: flex;
     padding: 10px 10px 0 10px;
     justify-content: space-between;
     align-items: center;
 }

 .chat-messages-footer textarea {
     resize: none;
     width: 100%;
     text-transform: capitalize;
     height: 45px !important;
     padding: 0 5px;
     position: relative;
     bottom: 0;
     border: 0;
 }

 .chat-messages-footer button {
     color: #fff !important;
     height: 45px;
     padding: 12px;
     width: 45px;
     margin: 0;
     font-size: 20px;
     text-align: center;
     min-width: auto;
     position: relative;
     display: flex;
     justify-content: center;
     align-items: center;
     box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
     text-transform: capitalize;
 }

 .chat-messages-footer .record-input {
     padding: 0px 20px;
     font-size: 35px;
     color: rgba(0, 0, 0, 0.4);

 }

 .chat-messages-footer .record-input input {
     opacity: 0;
     position: absolute;
     display: none;

 }

 .chat-messages-footer .record-input button {
     color: rgba(0, 0, 0, 0.4) !important;
     font-size: 30px;
 }

 .chat-messages-footer .record-input .recorder-active {
     color: rgb(236, 27, 27) !important;
 }

 .chat-user-actions {
     display: none;
     position: absolute;
     background: #efefef;
     width: 200px;
     right: 15px;
     padding: 10px;
     list-style: none;
     border-radius: 10px;
     -webkit-border-radius: 10px;
     -moz-border-radius: 10px;
     -ms-border-radius: 10px;
     -o-border-radius: 10px;
 }

 .rtl .chat-user-actions {
     left: 15px;
     right: auto;
 }

 .chat-user-actions li a {
     font-size: 17px;
     display: block;
     padding: 0 10px;
     color: #222;
 }

 .chat-user-actions li a:before {
     content: '';
     width: 5px;
     height: 5px;
     border-radius: 50%;
     display: inline-block;
     background: #222;
     margin-right: 7px;
     position: relative;
     bottom: 3px;
     transition: all 0.5s ease;
 }

 .rtl .chat-user-actions li a:before {
     margin-left: 7px;
     margin-right: 0;
 }

 .chat-user-actions li a:hover {
     text-decoration: none !important;
 }

 .chat-user-actions li a:hover:before {
     margin-right: 14px;
 }

 .rtl .chat-user-actions li a:hover:before {
     margin-left: 14px;
     margin-right: 0;
 }


 /* Start Messages Page */
 .chats-list {
     height: 640px;
     min-height: 100%;
     padding: 0 10px;
     overflow-y: auto;
     overflow-x: hidden;
 }

 .chat-message-items {
     height: 500px;
     padding: 20px;
     overflow-y: auto;
     overflow-x: hidden;
 }


 .chat-item .dw-msg-sub-text {
     max-height: 70px;
     overflow: hidden;
     align-items: center;
     white-space: nowrap;
     text-overflow: ellipsis;
     overflow: hidden;
 }

 /* .chat-item .dw-msg-sub-text p {
   max-height: 55px;
   overflow: hidden;
} */


 .chat-item.active {
     background-color: #fff;
     border-bottom: transparent;
 }

 .chat-item.active::before {
     content: "";
     position: absolute;
     width: calc(100% + 5px);
     height: calc(100% + 2px);
     top: -2px;
     left: -4px;
     z-index: 1;
     background-color: #fff;
     box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.06);
 }

 .rtl .chat-item.active::before {
     left: auto;
     right: -4px;
 }

 .user-name .status {
     font-size: 10px;
     margin: 0 10px;
     width: 20px;
     height: 20px;
     min-width: 20px;
 }

 .status.active {
     color: #00ff66 !important;
 }

 .status.offline {
     color: #b9b9b9 !important;
 }

 .status.closed {
     color: #f00 !important;
 }



 .chat-messages-header .chat-item img {
     width: 50px;
     height: 50px;
     border-radius: 50%;
     -webkit-border-radius: 50%;
     -moz-border-radius: 50%;
     -ms-border-radius: 50%;
     -o-border-radius: 50%;
 }

 .user-img-head {
     position: relative;
 }

 .user-img-head .status {
     position: absolute;
     font-size: 10px;
     right: 15px;
     top: 5px;
 }

 .rtl .user-img-head .status {
     right: auto;
     left: 15px;
 }

 .chat-messages-header .chat-item::after {
     content: none;
 }

 .receiver,
 .sender {
     margin-bottom: 15px;
 }

 .media-receiver .media-body,
 .media-sender .media-body {
     max-width: 75%;
 }

 .media-sender {
     flex-direction: row-reverse;
 }

 .media-receiver img,
 .media-sender img {
     margin-top: 55px;
     width: 35px;
     height: 35px;
     border-radius: 50%;
     -webkit-border-radius: 50%;
     -moz-border-radius: 50%;
     -ms-border-radius: 50%;
     -o-border-radius: 50%;
 }


 .chat-messages-footer .form-group {
     position: relative;
     background-color: #fff;
     display: flex;
     padding: 5px 0 5px 15px;
     align-items: center;
     margin: 0;
     border-radius: 50px;
     -webkit-border-radius: 50px;
     -moz-border-radius: 50px;
     -ms-border-radius: 50px;
     -o-border-radius: 50px;
     border: 1px solid #ddd;
     box-shadow: 0 0 3.5px rgba(0, 0, 0, 0.1);
 }

 .rtl .chat-messages-footer .form-group {
     padding: 5px 15px 5px 0;
 }

 .chat-messages-footer .form-group:focus-within {
     border-color: #038bc8;
 }

 .chat-messages-footer .form-group textarea {
     padding-top: 5px;
     height: 40px;
     width: 90%;
     border: none;
     box-shadow: none;
 }

 .chat-messages-footer .form-group textarea:focus {
     box-shadow: none;
     outline: none;
 }

 .send-msg-btn {
     position: absolute;
     top: 3px;
     right: 0;
     width: 43px !important;
     height: 43px !important;
     padding: 4px 10px 10px 7px;
     font-size: 23px;
     min-width: auto !important;
     border-radius: 50%;
     -webkit-border-radius: 50%;
     -moz-border-radius: 50%;
     -ms-border-radius: 50%;
     -o-border-radius: 50%;
 }

 .rtl .send-msg-btn {
     right: auto;
     left: 0;
     padding: 4px 7px 10px 10px;
 }

 /* End Messages Page */
 @media only screen and (max-width: 992.9px) {


     .chat-messages {
         box-shadow: 0px -3px 7px 1px rgba(0, 0, 0, 0.04);
     }
 }

 @media only screen and (max-width: 767.9px) {

     .chat-message-items,
     .chat-messages-footer {
         padding: 20px 10px;
     }
 }

 @media (max-width: 575.98px) {

     /* MESSAGES */
     .chat-item img,
     .chat-user-img {
         width: 40px;
         height: 40px;
     }

     /*.chat-user-img{margin-top: 10px;}*/
     .chat-item h5 {
         /* font-size: 16px; */
         margin-bottom: 0;
     }

     .chat-item p.chat-time {
         margin-bottom: 0;
     }

     /* .chat-item p.chat-text {
        font-size: 14px;
    } */
     .chat-messages-header {
         margin: 0 10px;
         padding: 14px 0;
     }

     .chat-messages-header h4 {
         margin-top: 20px;
         margin-left: 10px;
         /* font-size: 17px; */
     }

     .rtl .chat-messages-header h4 {
         margin-right: 10px;
         margin-left: 0;
     }

     .message-item .message-text {
         max-width: calc(100%);
         margin: 9px 0 0 0;
     }

     .message-items {
         padding: 0 15px;
     }

     .message-item .message-text p {
         padding: 16px;
     }

     .message-item {
         flex-direction: column;
     }

     .message-item.box-align-left {
         flex-direction: column;
         align-items: flex-end;
     }

     .message-item.box-align-right {
         flex-direction: column;
         align-items: flex-start;
     }


     .message-item.box-align-right p {
         margin-top: 8px;

     }


 }

 @media (min-width: 576px) and (max-width: 767.98px) {

     /* MESSAGES */
     .message-item .message-text {
         max-width: calc(100% - 75px);
     }
 }

 @media (max-width: 767.98px) {

     /* MEASSAGES */
     .chats-list .user-blk {
         background: #fff;
     }

     /* .chat-messages {
         display: none;
     } */

 }

 @media (min-width: 768px) and (max-width: 991.98px) {

     /* MESSAGES */

     .message-item .message-text {
         max-width: calc(100% - 75px);
     }

     .chat-item.active::before {
         left: -2.5px;
     }

     .rtl .chat-item.active::before {
         left: auto;
         right: -2.5px;
     }
 }

 @media (min-width: 992px) and (max-width: 1199.98px) {

     /* MESSAGES */
     .chat-item img {
         width: 42px;
         height: 42px;
     }
 }

 /* End Messages page */
